[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#679676: Please convert to 3.0 (quilt) format

Package: libnss-db
Version: 2.2.3pre1-4
Severity: wishlist


the libnss-db package already uses quilt as patch system. So it makes
sense to convert the package to 3.0 (quilt) format.

Three things need to be done for this:

1) refresh patches
   - download the package and build it once to get all patches applied
   - quilt refresh && quilt pop
   - repeat till no more patches are applied
   - quilt push -a

This might be optional. There is some fuzz in the patches and dpkg 3.0
(quilt) can be stricter than plain quilt in how much fuzz it allows.

2) switch format
   - mkdir debian/source
   - echo '3.0 (quilt)' >debian/source/format

3) add patch for po/Makevars
   - dpkg --comit

   This file is currently modified by way of the diff.gz instead of
   through a patch. Must have slipped through the cracks somewhere in
   the past.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Reply to: